Package org.codehaus.commons.compiler

# Class AbstractCompilerFactory

java.lang.Object
org.codehaus.commons.compiler.AbstractCompilerFactory

All Implemented Interfaces:
  `ICompilerFactory`

Direct Known Subclasses:
  `CompilerFactory`, `CompilerFactory`

public abstract class AbstractCompilerFactory extends Object implements ICompilerFactory
Base class for a simple `ICompilerFactory`.

## Constructor Summary

Constructors
Constructor
Description
`AbstractCompilerFactory()`

## Method Summary

Modifier and Type
Method
Description
`abstract String`
`getId()`
`abstract String`
`getImplementationVersion()`
`IClassBodyEvaluator`
`newClassBodyEvaluator()`
`IExpressionEvaluator`
`newExpressionEvaluator()`
`AbstractJavaSourceClassLoader`
`newJavaSourceClassLoader()`
`AbstractJavaSourceClassLoader`
`newJavaSourceClassLoader(ClassLoader parentClassLoader)`
`IScriptEvaluator`
`newScriptEvaluator()`
`ISimpleCompiler`
`newSimpleCompiler()`
`abstract String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.codehaus.commons.compiler.ICompilerFactory

`newCompiler`

## Constructor Details

### AbstractCompilerFactory

public AbstractCompilerFactory()

## Method Details

### getId

public abstract String getId()

Specified by:
  `getId` in interface `ICompilerFactory`
Returns:
  A `String` which uniquely identifies the concrete implementation of this interface, e.g. `"org.codehaus.janino"` or `"org.codehaus.commons.compiler.jdk"`

### toString

public abstract String toString()

Specified by:
  `toString` in interface `ICompilerFactory`
Overrides:
  `toString` in class `Object`
Returns:
  A human-readable `String` that identifies the concrete implementation of this interface in a user interface, e.g. `"janino"` or `"jdk"`

### getImplementationVersion

public abstract String getImplementationVersion()

Specified by:
  `getImplementationVersion` in interface `ICompilerFactory`
Returns:
  The version of this implementation of the commons-compiler specification, or `null`

### newExpressionEvaluator

public IExpressionEvaluator newExpressionEvaluator()

Specified by:
  `newExpressionEvaluator` in interface `ICompilerFactory`
See Also:
  - `IExpressionEvaluator`

### newScriptEvaluator

public IScriptEvaluator newScriptEvaluator()

Specified by:
  `newScriptEvaluator` in interface `ICompilerFactory`
See Also:
  - `IScriptEvaluator`

### newClassBodyEvaluator

public IClassBodyEvaluator newClassBodyEvaluator()

Specified by:
  `newClassBodyEvaluator` in interface `ICompilerFactory`
See Also:
  - `IClassBodyEvaluator`

### newSimpleCompiler

public ISimpleCompiler newSimpleCompiler()

Specified by:
  `newSimpleCompiler` in interface `ICompilerFactory`
See Also:
  - `ISimpleCompiler`

### newJavaSourceClassLoader

public AbstractJavaSourceClassLoader newJavaSourceClassLoader()

Specified by:
  `newJavaSourceClassLoader` in interface `ICompilerFactory`
See Also:
  - `AbstractJavaSourceClassLoader`

### newJavaSourceClassLoader

public AbstractJavaSourceClassLoader newJavaSourceClassLoader(ClassLoader parentClassLoader)

Specified by:
  `newJavaSourceClassLoader` in interface `ICompilerFactory`
See Also:
  - `AbstractJavaSourceClassLoader`